public class VigenereChiffre
{
 	static public void main(String[] args)
 	{
		char mKey;
		char mGeheim;
		int ausgabe;
		String Key,Geheim;
		System.out.println("Bitte geben sie den Key ein:");
		Key = InOut.getLine();
		System.out.println("Bitte geben sie den Geheimtext ein:");
		Geheim = InOut.getLine();
		System.out.println("Entschluesselte Nachtricht:");
		for(int i=0;i<Geheim.length();i++)
		{
			mGeheim = Geheim.charAt(i);
			mKey = Key.charAt(i);
			ausgabe = ((26+((int)mGeheim-(int)'A') - ((int)mKey-(int)'A')-1)%26 +(int)'A');
			System.out.print((char)ausgabe);
		}
		System.out.print(" ");
		System.out.println("");
	}

}
